#!/bin/bash
#
# (c) astx (at) aws-it.at, 2018-2019
# and (c) others - see DIYaudio thread https://www.diyaudio.com/forums/software-tools/331656-installing-using-ngspice-opensource-simulator.html
#

# change this to your preferred editor. vi nano joe ...
export SPICE_EDITOR="joe"

PATH=$(pwd):${PATH}

# gnetlist -g spice-sdb -o circlotron.net circlotron.sch

# generate a meas script
./generate_rms_power_dissipation_script_vectors.pl circlotron.net load_meas_tmp2.ngspice
./generate_rms_power_dissipation_script.pl circlotron.net load_meas_tmp.ngspice

ngspice -i circlotron.net circlotron.ngspice

# add a terminal reset
reset
